## javax.media.jai
Interface OperationRegistrySpi

public interface OperationRegistrySpi

An interface definition to aid in the automatic loading of user-defined JAI operations.

All concrete classes that implement this interface can register by listing themselves in the "`META-INF/services/javax.media.jai.OperationRegistrySpi`" file that can be found in the classpath (this file is often contained in a jar file along with the class files). The file should contain a list of fully-qualified concrete provider-class names, one per line. Space and tab characters surrounding each name, as well as blank lines, are ignored. The comment character is `'#'` (`0x23`); on each line all characters following the first comment character are ignored. The file must be encoded in UTF-8.

If a particular concrete provider class is named in more than one configuration file, or is named in the same configuration file more than once, then the duplicates will be ignored. The configuration file naming a particular provider need not be in the same jar file or other distribution unit as the provider itself. The provider must be accessible from the same class loader that was initially queried to locate the configuration file; note that this is not necessarily the class loader that found the file.

All such concrete classes must have a zero-argument constructor so that they may be instantiated during lookup. The `updateRegistry()` method of all such registered classes will be called with the default instance of the JAI `OperationRegistry` after it has been initialized with the default JAI registry file (META-INF/javax.media.jai.registryFile.jai) and once all "META-INF/registryFile.jai"s found in the classpath are loaded. There is no guarantee of the order in which the `updateRegistry()` method of each `OperationRegistrySpi` instance will be invoked.

The `OperationRegistrySpi` could also be used to for the registration of other JAI related objects done through static methods such as the `Serializer` objects and image codecs.

Since:
  Java Advanced Imaging 1.1
See Also:
  `Serializer`, `OperationRegistry`, `OperationRegistry.writeExternal(java.io.ObjectOutput)`

Method Summary
`void` `updateRegistry(OperationRegistry registry)` This method will be called for all registered "service-providers" of this interface just after the default registry has been read-in.

Method Detail

### updateRegistry

    public void updateRegistry(OperationRegistry registry)

  This method will be called for all registered "service-providers" of this interface just after the default registry has been read-in.